%define name	pgmfindclip
%define version 1.13
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A clipping values calculator for your ripping tasks
License:	GPL
Group:		Video
URL:		http://www.lallafa.de/bp/pgmfindclip.html
Source0:	http://www.lallafa.de/bp/files/%{name}-%{version}.tar.bz2
Source1:	http://www.lallafa.de/bp/pgmfindclip.html.bz2
Requires:	transcode
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This tool tries to find a suitable clipping border for a series of gray
images. It is very useful to automatically extract clipping values for
transcoding a movie if the source frame is encoded with black bars.

A border around an image is defined by a rectangular and homogenous
valued area extending from each edge of the image (e.g. the black bars
around a movie frame). For each image the largest clip border is
determined and the smallest common region of the image series is
returned. Empty images or images with no valid clipping region are
ignored.

To cope with noisy regions in the black border areas, the region finding
algorithm does not simply cut away all regions with purely zero values,
but it uses a threshold in the absolut gradient sum along rows and
columns as a hint for the begin of real image contents.

You need a frame processing tool like transcode to actually perform the
clipping operation.

The program assumes that all images have the same size!

This package is in PLF because it is related to DVD ripping.

%prep
%setup -c
bzcat %{SOURCE1} > index.html

%build
perl -pi -e 's/gcc/gcc $ENV{RPM_OPT_FLAGS}/' Makefile
%make

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.html
%{_bindir}/%{name}

%changelog
* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.13-3plf
- %%mkrel
- spec cleanup

* Sun Jan 30 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.13-2plf
- Rebuild

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.13-1plf
- new version 
- documentation
- fixed packager 
- PLF reason

* Fri Aug 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.12-2plf
- changed url

* Sat Jun 08 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.12-1plf 
- first plf release
